<?php
session_start();
error_reporting(0);
$role=$_SESSION['role'];
$user_name=$_SESSION['user_name'];
	set_magic_quotes_runtime(0);
	if(!@$_SESSION['user_name']){ 
		header('Location: index.php');
	}
	include("database_connection.php");
	 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>View:Fereport</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php //title();?>
<link type="text/css" rel="stylesheet" href="Library/css/style-menu.css"   />
<link type="text/css" rel="stylesheet" href="Library/css/style-content.css"   />
<script type="text/javascript" src="Library/js/jquery-1.3.1.min.js" > </script> 
<script type="text/javascript">

    function PrintElem(elem)
    {
        Popup($(elem).html());
    }

    function Popup(data) 
    {
        var mywindow = window.open('', 'Billing Application Dashboard', 'height=650,width=750');
        mywindow.document.write('<html><head><title>Billing Application Dashboard</title>');
        /*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.print();
        mywindow.close();

        return true;
    }

</script>
<script language="JavaScript" type="text/javascript">  
   function checkdelete(){
		var r=confirm("Are you sure to delete?");
		if (r==true){
			return true;
		}
		else{
			return false;
		}
	}
	</script>      

<style>
.borderHeader{
	border:1px;
	border-style:solid;
	height:73px;
	background-color:white;
}
.centerimage{
	margin-top:20px;
}
.pagename
{
	text-align:center;
	margin-top:-60px;
	color:#8B0000;
}

.airtellogo
{
   margin-top:-60px;

}	
.center {
 text-align: center
}
td { 
	
	height:15px;
}
</style>
<link type="text/css" href="menu/menu_admin.css" rel="stylesheet" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script language="JavaScript" src="newdate/calendar_us.js"></script>
  <link rel="stylesheet" href="newdate/calendar.css">


</head>
<body>
	<div class="borderHeader">
	<div align=left><img src="images/kmspl.PNG" /></div><div class="pagename"><h2>VIEW FE REPORT  DATE WISE</h2></div>
</div>
	<?php 
	if(($_SESSION['uniqe_id']=='S'))
	{
	include("menu/menu_superadmin.php");
	}
	elseif(($_SESSION['uniqe_id']=='A') or ($_SESSION['uniqe_id']=='T'))
	{
	include("menu/menu_admin.php");
	}
	elseif(($_SESSION['uniqe_id']=='D'))
	{
	include("menu/menu_deo.php");
	}
	elseif(($_SESSION['uniqe_id']=='X'))
	{
	include("menu/menu_scanner.php");
	}
	else
	{
	header('Location: index.php');
	}
	?>
	<form method="post" action=" " name="view_fereportdate" id="view_fereportdate">
	<?php
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='REFRESH')
	{
	$_POST['dump_date']='';
	$_POST['dump_date1']='';
	$_POST['zone']='';
	}
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='SEARCH')
 	{  
	$dump_date=$_POST['dump_date'];
	$dump_date1=$_POST['dump_date1'];
	$zone=$_POST['zone'];
	}

	date_default_timezone_set('Asia/Calcutta');
	?>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><b>From</b> &nbsp;<input type ="text" name="dump_date" value="<?php echo $_POST['dump_date'];?>" style="width:100px; height"35px;"; required />
	  <script language="JavaScript">

                        new tcal ({

                            // form name

                            'formname': 'view_fereportdate',

                            // input name

                            'controlname': 'dump_date'

                        });
                    </script>
		&nbsp;&nbsp;	<b>To</b> &nbsp;<input type ="text" name="dump_date1" value="<?php echo $_POST['dump_date1'];?>" style="width:100px; height"35px;"; required />
	  <script language="JavaScript">

                        new tcal ({

                            // form name

                            'formname': 'view_fereportdate',

                            // input name

                            'controlname': 'dump_date1'

                        });
                    </script>
 &nbsp;&nbsp;<b>Zone</b> &nbsp;&nbsp;
				<select name="zone" id="zone"  style="width:200px;height:35px;" required >
				<option value="<?php echo $_POST['zone'];?>"><?php echo $_POST['zone'];?></option>
				<?php
				$sqlzone="select distinct(zone) from user_tbl where uniqe_id='F' order by zone asc ";
				$resultzone=mysql_query($sqlzone);
				while($datazone=mysql_fetch_array($resultzone))
				{
				?>
				<option value="<?php echo $datazone['zone'];?>"><?php echo $datazone['zone'];?></option>
				<?php
				}
				?>
				<option value="All">All</option>
				</select>
 &nbsp;&nbsp;<input type="submit" name="txtsubmit"  value="SEARCH" id="searchbutton" > 
		
			<input type="submit" name="txtsubmit"  value="REFRESH" id="searchbutton"> 
&nbsp;&nbsp;
	<?php
	if(strlen($dump_date)>0 and $zone!="All")
	{
	$dir=$zone.'//'.$dump_date.'//'.$dump_date1;
	?>
	<a href="export_fereportdatesearch.php?id=<?php echo $dir?>"><b>Export Data</b></a>
	<?php
	}
	elseif(strlen($dump_date)>0 and $zone=="All")
	{
	$dir=$dump_date.'//'.$dump_date1;
	?>
	<a href="export_fereportdatesearchall.php?id=<?php echo $dir?>"><b>Export Data</b></a>
	<?php
	}
	else
	{
	}
	?>

</td>
	</tr>
	</table>
	</td>
	</tr>
	</table>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<thead>
	<tr height="25">
				<th class="center" ><b>Sr No</b></th>				
				<th class="center"><b>Fe Name</b></th>				
				<th class="center"><b>Mobile No</b></th>
				<th class="center"><b>Zone</b></th>
				<th class="center"><b>City</b></th>
				<th class="center"><b>Allocation</b></th>
				<th class="center"><b>Done</b></th>
				<th class="center"><b>Pending</b></th>
			</tr>
		 </thead>
		 <tbody>
		<?php
		$dy=explode('-',$dump_date1);
		$y=$dy[2];
		if($dump_date and $dump_date1 and $zone!='All')
		{
		$sql2="select max(`unix_time`) as max FROM `allocation_tbl` WHERE dump_date between '$dump_date' and '$dump_date1' ";
		$result2 = MYSQL_QUERY($sql2);
		$data2=mysql_fetch_array($result2);
		$unix_time=$data2['max'];
		
	$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE (allocation_tbl.unix_time<='$unix_time' or allocation_tbl.report_date between '$dump_date' and '$dump_date1')  and allocation_tbl.user_code=user_tbl.user_code and (allocation_tbl.month like '%$y%' ) and user_tbl.zone='$zone' order by user_tbl.first_name asc";
	$resultr = MYSQL_QUERY($queryr);
	}	
	elseif($dump_date and $dump_date1 and $zone=="All")
		{
		$sql2="select max(`unix_time`) as max FROM `allocation_tbl` WHERE dump_date between '$dump_date' and '$dump_date1' ";
		$result2 = MYSQL_QUERY($sql2);
		$data2=mysql_fetch_array($result2);
		$unix_time=$data2['max'];
		
	$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE (allocation_tbl.unix_time<='$unix_time' or allocation_tbl.report_date between '$dump_date' and '$dump_date1')  and allocation_tbl.user_code=user_tbl.user_code and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	$resultr = MYSQL_QUERY($queryr);
	}	
	 $j=1;
	while($data=mysql_fetch_array($resultr)) {
	
	$user_code=$data['user_code'];
	$sqlfe="select first_name,last_name,mobile,zone,location from user_tbl where user_code='$user_code' ";
	$resultuser=mysql_query($sqlfe);
	$datauser=mysql_fetch_array($resultuser);
	$sqlalloc="select count(id) as num from allocation_tbl where user_code='$user_code' and status='4' and unix_time<='$unix_time' " ;
	$resultalloc=mysql_query($sqlalloc);
	$dataalloc=mysql_fetch_array($resultalloc);
	/*echo$sqlalloc2="select count(id) as num from allocation_tbl where user_code='$user_code' and  unix_time>'$min' and unix_time<='$unix_time' and status!='4'   and report_date!='$dump_date'" ;
	$resultalloc2=mysql_query($sqlalloc2);
	$dataalloc2=mysql_fetch_array($resultalloc2);*/
	$sqldone="select count(id) as num from allocation_tbl where user_code='$user_code' and report_date between '$dump_date'  and '$dump_date1'  and month like '%$y%'" ;
	$resultdone=mysql_query($sqldone);
	$datadone=mysql_fetch_array($resultdone);
	$done=$datadone[0];
	$allocations=$dataalloc[0];
	//$allocations2=$dataalloc2[0];
	$allocation=$allocations+$done;
	$allocationt +=$allocation;
	$donet +=$done;
	$pending=$allocation-$done;
	$pendingt +=$pending;
	$dir=$user_code.'//'.$dump_date.'//'.$dump_date1;
	$dir2=$zone.'//'.$dump_date.'//'.$dump_date1;
	if($j%2==0)
		 {
		 $color="#FFFAFA";  
		 }
		 else
		 {
		 $color="white";  
 		}
		if($pending>0)
		{
		$bg="#FFA07A";
		}
		else
		{
		$bg="white";
		}
		if($pending2>0)
		{
		$bg2="#FFFF00";
		}
		else
		{
		$bg2="white";
		}
	if($allocation>0)
	{
	?>

<tr  bgcolor=" <?php echo $color;?>" height="15">
<td   align="center"><font size="2"><b><?php echo $j ;?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['first_name'].' '.$datauser['last_name']);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['mobile']);?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['zone'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['location'];?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><b><?php echo $allocation;?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfedone.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $done;?></b></a></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfepending.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pending;?></b></a></font></td>
</tr>
<?php
	$j++; } } ?>
<tr >
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b>Total</b></font></td>
<td  align="center" ><font size="4"><b><?php echo $allocationt;?></b></font></td>
<td  align="center" ><font size="4"><a href="" onClick="window.open('detailsallfedone.php?id=<?php echo "$dir2"; ?>','popup','width=1250,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $donet;?></b></a></font></td>
<td  align="center" ><font size="4"><b><a href="" onClick="window.open('detailsallfepending.php?id=<?php echo "$dir2"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pendingt;?></b></a></font></td>
</tr>
</tbody>
 </table>
</td>
</tr>
</table>

</div>
</body>
</html>			
